curl --request PUT \
--url https://api.raul.ugps.io/api/v1/client_father/update/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fatherName": "<string>",
"fantasyName": "<string>",
"rut": "<string>",
"email": "<string>",
"phone": "<string>",
"linkedinUrl": "<string>",
"linkedinSummary": "<string>",
"paymentTerms": 123,
"factura": true,
"ordenCompra": true,
"requiresHes": true,
"childrenIds": [
"<string>"
]
}
'import requests
url = "https://api.raul.ugps.io/api/v1/client_father/update/{id}"
payload = {
"fatherName": "<string>",
"fantasyName": "<string>",
"rut": "<string>",
"email": "<string>",
"phone": "<string>",
"linkedinUrl": "<string>",
"linkedinSummary": "<string>",
"paymentTerms": 123,
"factura": True,
"ordenCompra": True,
"requiresHes": True,
"childrenIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fatherName: '<string>',
fantasyName: '<string>',
rut: '<string>',
email: '<string>',
phone: '<string>',
linkedinUrl: '<string>',
linkedinSummary: '<string>',
paymentTerms: 123,
factura: true,
ordenCompra: true,
requiresHes: true,
childrenIds: ['<string>']
})
};
fetch('https://api.raul.ugps.io/api/v1/client_father/update/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"idFather": "<string>",
"fatherName": {},
"fantasyName": {},
"rut": {},
"email": {},
"phone": {},
"linkedinUrl": {},
"linkedinSummary": {},
"paymentTerms": {},
"factura": {},
"ordenCompra": {},
"requiresHes": {},
"createdAt": {},
"updatedAt": {},
"clientsChildrens": [
{
"clientId": "<string>",
"clientName": {},
"rut": {},
"typeOfContractId": {},
"sellerId": {},
"sellerName": {}
}
],
"contacts": [
{
"contactId": "<string>",
"contactName": {},
"phone": {},
"email": {},
"rol": {}
}
],
"contactList": [
{
"contactId": "<string>",
"contactName": {},
"phone": {},
"email": {},
"rol": {}
}
]
}Actualizar un cliente padre existente
Operacion: Actualizar un cliente padre existente.
Authorizations
Token de sesión Better Auth para rutas de backoffice; las rutas de portal usan su token propio.
Path Parameters
ID del cliente padre (UUID)
Body
Nombre del cliente padre
Nombre de fantasía
RUT
Teléfono
URL de LinkedIn de la empresa matriz
Resumen del perfil de LinkedIn
Plazo de pago en días
Requiere factura
Requiere orden de compra
Requiere HES
IDs de clientes hijos a asociar (reemplaza la lista actual)
Response
Cliente padre actualizado exitosamente
ID del cliente padre
Nombre del cliente padre
Nombre de fantasía
RUT
Teléfono
URL de LinkedIn de la empresa matriz
Resumen del perfil de LinkedIn
Plazo de pago en días
Requiere factura
Requiere orden de compra
Requiere HES
Fecha de creación
Fecha de actualización
Lista de clientes hijos
Show child attributes
Show child attributes
Lista de contactos asociados a la empresa matriz
Show child attributes
Show child attributes
Alias legacy para contactos asociados a la empresa matriz
Show child attributes
Show child attributes